org.apache.jmeter.visualizers

## Class SearchTextExtension

- java.lang.Object
- - org.apache.jmeter.visualizers.SearchTextExtension

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener, javax.swing.event.DocumentListener

      public class SearchTextExtension
      extends java.lang.Object
      implements java.awt.event.ActionListener, javax.swing.event.DocumentListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SearchTextExtension.ISearchTextExtensionProvider` Search provider definition Allow the search extension to search on any component
    `static class` | `SearchTextExtension.JEditorPaneSearchProvider` JEditorPane search provider Should probably be moved in its on file

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchTextExtension(SearchTextExtension.ISearchTextExtensionProvider searchProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)` Display the response as text or as rendered HTML.
    `void` | `changedUpdate(javax.swing.event.DocumentEvent e)`
    `javax.swing.JToolBar` | `getSearchToolBar()`
    `void` | `insertUpdate(javax.swing.event.DocumentEvent e)`
    `void` | `removeUpdate(javax.swing.event.DocumentEvent e)`
    `void` | `resetTextToFind()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchTextExtension

          public SearchTextExtension(SearchTextExtension.ISearchTextExtensionProvider searchProvider)

  - ### Method Detail

    - #### getSearchToolBar

          public javax.swing.JToolBar getSearchToolBar()

      Returns:
        `JToolBar` the search toolbat component

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Display the response as text or as rendered HTML. Change the text on the button appropriate to the current display.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Parameters:
        `e` - the ActionEvent being processed

    - #### changedUpdate

          public void changedUpdate(javax.swing.event.DocumentEvent e)

      Specified by:
        `changedUpdate` in interface `javax.swing.event.DocumentListener`

    - #### insertUpdate

          public void insertUpdate(javax.swing.event.DocumentEvent e)

      Specified by:
        `insertUpdate` in interface `javax.swing.event.DocumentListener`

    - #### removeUpdate

          public void removeUpdate(javax.swing.event.DocumentEvent e)

      Specified by:
        `removeUpdate` in interface `javax.swing.event.DocumentListener`

    - #### resetTextToFind

          public void resetTextToFind()

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.